StarObjectModelInternal::Page::Descriptor Struct Reference

Internal: class used to store a page descriptor. More...

## Public Member Functions

| Descriptor ()
| constructor

## Public Attributes

int | m_masterId
| the page number
std::vector< bool > | m_layerList
| a list of layer

## Friends

std::ostream & | operator<< (std::ostream &o, Descriptor const &desc)
| operator<<

## Detailed Description

Internal: class used to store a page descriptor.

## Constructor & Destructor Documentation

## Descriptor()

StarObjectModelInternal::Page::Descriptor::Descriptor | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Descriptor const & | desc )

friend

operator<<

## Member Data Documentation

## m_layerList

std::vector<bool> StarObjectModelInternal::Page::Descriptor::m_layerList

a list of layer

Referenced by Descriptor(), operator<<, and StarObjectModel::readSdrMPageDesc().

## m_masterId

int StarObjectModelInternal::Page::Descriptor::m_masterId

the page number

Referenced by Descriptor(), operator<<, StarObjectModel::readSdrMPageDesc(), and StarObjectModel::readSdrPage().

The documentation for this struct was generated from the following file:

- StarObjectModel.cxx